package org.argosdic.action.program;

import org.argosdic.ArgosDic;
import org.argosdic.action.BaseAction;
import org.eclipse.swt.widgets.Event;

/**
 * QuitAction.java
 * @author Xavier Cho
 * @version $Revision: 1.3 $ $Date: 2003/09/21 08:31:54 $
 */
public class QuitAction extends BaseAction {

    public QuitAction(ArgosDic application) {
        super(application);
    }

    /**
     * @see org.eclipse.jface.action.IAction#runWithEvent(org.eclipse.swt.widgets.Event)
     */
    public void runWithEvent(Event event) {
        application.close();
    }
}
